#!/bin/bash -l
set -e
module purge
#unset LD_LIBRARY_PATH
#unset OIFS_LAPACK_LIB
module load intel/2018.4
module load impi/2018.4
module load mkl/2018.4
module load cmake/3.23.2
module load netcdf/4.2
#module load perl
module load python/3.6.1
#module load eccodes/2.14.1-intel-2018.4
module load eccodes/2.8.0

#export NETCDF_Fortran_INCLUDE_DIRECTORIES=/gpfs/apps/MN4/NETCDF/4.2/INTEL/IMPI/include

export CXX=mpiicc
export FC=mpiifort
export C=mpiicc
export FFLAGS="-free -r8 -O3 -xAVX -mtune=skylake -ip -fp-model precise -traceback -extend-source 132"

# Open IFS settings
export OIFS_TOPLEVEL_DIR=/home/bsc32/bsc32044/awi-cm3/awicm3-v3.1/oifs-43r3
export OIFS_COMP=intel-opt_mn4
#export OIFS_BUILD=opt_mn4
export OIFS_XIOS=enable
export OIFS_XIOS_DIR=/home/bsc32/bsc32044/awi-cm3/awicm3-v3.1/oifs-43r3/../xios
export OIFS_XIOS_INCLUDE=-I/home/bsc32/bsc32044/awi-cm3/awicm3-v3.1/oifs-43r3/../xios/inc/
export OIFS_OASIS_INCLUDE=/home/bsc32/bsc32044/awi-cm3/awicm3-v3.1/oasis/include/
export OIFS_NETCDFF_INCLUDE=/gpfs/apps/MN4/NETCDF/4.2/INTEL/IMPI/include/
export OIFS_OASIS_LIB=$HOME/awi-cm3/awicm3-v3.1/oasis/build/lib/psmile/
export OIFS_NETCDFF_LIB=/apps/NETCDF/4.2/INTEL/IMPI/lib


cd oifs-43r3
cd make; ../fcm/bin/fcm make -v -j8 -f oifs.fcm ; mv esm/oifs/bin/master.exe esm/oifs/bin/oifs
cd ..
